Bug 734197 - Improvement: Dynagroup creation should provide better error msg for duplicate name
Improvement: Dynagroup creation should provide better error msg for duplicate...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Inventory (Show other bugs)
4.0.1
Unspecified Unspecified
medium Severity medium (vote)
: ---
: ---
Assigned To: Mike Thompson
Mike Foley
: FutureFeature
Depends On:
Blocks: rhq-uxd
  Show dependency treegraph
 
Reported: 2011-08-29 13:35 EDT by dgao
Modified: 2013-09-02 03:25 EDT (History)
3 users (show)

See Also:
Fixed In Version: 4.3.0
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 03:25:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description dgao 2011-08-29 13:35:25 EDT
When providing an already existing dynagroup name and hitting save, the current error message does not inform the user that the name is already taken.
Comment 1 Mike Thompson 2012-01-30 14:29:28 EST
This is completed out on feature/gwt-upgrade. Added the message: 
	'Failed to save the group definition named [NAME]'
when saving records with duplicate names. I tested this with both New and existing Dynagroups.

Will mark as ON_QA once the feature branch is merged into master.
Comment 2 Mike Thompson 2012-01-31 16:29:48 EST
git commit id: 053dbbd
Comment 3 Sunil Kondkar 2012-04-13 07:35:58 EDT
Verified on build#1321 (Version: 4.4.0-SNAPSHOT Build Number: 472e72f)

It displays a message 'A group definition already exists with this name' when trying to add a dynagroup with duplicate name. Also verified by trying to create compatible/mixed groups with duplicate name.
Comment 4 Heiko W. Rupp 2013-09-02 03:25:57 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.